<launch>
  <arg name="model1" default="burger"/>
  <arg name="model2" default="waffle"/>
  <arg name="open_rviz" default="true"/>

  <plugin name="ros_link_attacher_plugin" filename="libgazebo_ros_link_attacher.so"/>

  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(find teaming_simulation)/worlds/square.world"/>
    <arg name="paused" value="false"/>
    <arg name="use_sim_time" value="true"/>
    <arg name="gui" value="true"/>
    <arg name="headless" value="false"/>
    <arg name="debug" value="false"/>
  </include>
  
   <!-- Map server -->
    <node pkg="map_server" name="map_server" type="map_server" args="$(find teaming_simulation)/worlds/square.yaml">
      <param name="frame_id" value="map" />
        <!-- <remap from="/map" to="robot1/map"/> -->
    </node>>
 
  <group ns="robot1">
    <param name="tf_prefix" value="robot1" />
    <!-- <include file="$(find teaming_simulation)/launch/one_robot.launch" > -->
    <include file="$(find teaming_simulation)/launch/one_robot_witharm.launch" >
      <arg name="x_pose" value= "-2.0"/>
      <arg name="y_pose" value= "-1.0"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="robot1" />
      <arg name="model"  value= "waffle" />
      <arg name="urdf_model"  value= "waffle1" />
    </include>
  </group>

   <group ns="robot2">
    <param name="tf_prefix" value="robot2" />
    <!-- <include file="$(find teaming_simulation)/launch/one_robot.launch" > -->
    <include file="$(find teaming_simulation)/launch/one_robot_witharm.launch" >
      <arg name="x_pose" value= "-1.0"/>
      <arg name="y_pose" value= "-0.5"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="robot2" />
      <arg name="model"  value= "waffle" />
      <arg name="urdf_model"  value= "waffle" />
    </include>
  </group> 

  <!-- <node pkg="teaming_simulation" name="robot_pose_publisher" type="gazebo_pose_publisher.py" args="2 robot 1 0.01"> </node>> -->

  <group ns="block0">
    <param name="tf_prefix" value="block0" />
    <include file="$(find teaming_simulation)/launch/block.launch" >
      <arg name="x_pose" value= "0.904"/>
      <arg name="y_pose" value= "3.484"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="block0" />
      <arg name="model"  value="block" />
    </include>
  </group>

  <group ns="block1">
    <param name="tf_prefix" value="block1" />
    <include file="$(find teaming_simulation)/launch/block.launch" >
      <arg name="x_pose" value= "2.0"/>
      <arg name="y_pose" value= "-1.084"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="block1" />
      <arg name="model"  value="block_heavy" />
    </include>
  </group>

  <group ns="block2">
    <param name="tf_prefix" value="block2" />
    <include file="$(find teaming_simulation)/launch/block.launch" >
      <arg name="x_pose" value= "2.0"/>
      <arg name="y_pose" value= "1.0"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="block2" />
      <arg name="model"  value="block" />
    </include>
  </group>

  <!-- <group ns="block3">
    <param name="tf_prefix" value="block3" />
    <include file="$(find teaming_simulation)/launch/block.launch" >
      <arg name="x_pose" value= "-0.90"/>
      <arg name="y_pose" value= "-0.49"/>
      <arg name="z_pose" value= "0.0"/>
      <arg name="robot_name"  value="block3" />
      <arg name="model"  value="block" />
    </include>
  </group> -->

  <!-- The arg 3 is the number of blocks -->
  <node pkg="teaming_simulation" name="gazebo_pose_publisher" type="gazebo_pose_publisher.py" args="3 block 0 0.03"> </node>>

  <!-- <include file="$(find turtlebot3_navigation)/launch/turtlebot3_navigation.launch">
    <arg name="map_file" value="$(find teaming_simulation)/worlds/tutorial.yaml"/>
  </include> -->

   <!-- rviz -->
  <group if="$(arg open_rviz)">
    <node pkg="rviz" type="rviz" name="rviz" required="true"
          args="-d $(find teaming_simulation)/rviz/teaming_simulation.rviz"/>
  </group>
</launch>